org.apache.storm.streams.processors

## Class ForwardingProcessorContext

- java.lang.Object
- - org.apache.storm.streams.processors.ForwardingProcessorContext

- All Implemented Interfaces:
    Serializable, ProcessorContext

      public class ForwardingProcessorContext
      extends Object
      implements ProcessorContext

  A context that emits the results to downstream processors which are in the same bolt.

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ForwardingProcessorContext(ProcessorNode processorNode, org.apache.storm.shade.com.google.common.collect.Multimap<String,ProcessorNode> streamToChildren)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `<T> void` | `forward(T input)` Forwards the input to all downstream processors.
    `<T> void` | `forward(T input, String stream)` Forwards the input to downstream processors at specified stream.
    `Set<String>` | `getWindowedParentStreams()` Returns the windowed parent streams.
    `boolean` | `isWindowed()` Returns true if the processing is in a windowed context and should wait for punctuation before emitting results.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ForwardingProcessorContext

          public ForwardingProcessorContext(ProcessorNode processorNode,
                                            org.apache.storm.shade.com.google.common.collect.Multimap<String,ProcessorNode> streamToChildren)

  - ### Method Detail

    - #### forward

          public <T> void forward(T input)

      Description copied from interface: `ProcessorContext`

      Forwards the input to all downstream processors.

      Specified by:
        `forward` in interface `ProcessorContext`
      Parameters:
        `input` - the input

    - #### forward

          public <T> void forward(T input,
                                  String stream)

      Description copied from interface: `ProcessorContext`

      Forwards the input to downstream processors at specified stream.

      Specified by:
        `forward` in interface `ProcessorContext`
      Parameters:
        `input` - the input
        `stream` - the stream to forward

    - #### isWindowed

          public boolean isWindowed()

      Description copied from interface: `ProcessorContext`

      Returns true if the processing is in a windowed context and should wait for punctuation before emitting results.

      Specified by:
        `isWindowed` in interface `ProcessorContext`
      Returns:
        whether this is a windowed context or not

    - #### getWindowedParentStreams

          public Set<String> getWindowedParentStreams()

      Description copied from interface: `ProcessorContext`

      Returns the windowed parent streams. These are the streams where punctuations arrive.

      Specified by:
        `getWindowedParentStreams` in interface `ProcessorContext`
      Returns:
        the windowed parent streams

Copyright © 2021 The Apache Software Foundation. All rights reserved.